com.google.common.util.concurrent

## Class Runnables

- java.lang.Object
- - com.google.common.util.concurrent.Runnables

-     @Beta
      @GwtCompatible
      public final class Runnables
      extends java.lang.Object

  Static utility methods pertaining to the `Runnable` interface.
  Since:
    16.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Runnable` | `doNothing()` Returns a `Runnable` instance that does nothing when run.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### doNothing

          public static java.lang.Runnable doNothing()

      Returns a `Runnable` instance that does nothing when run.